Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection.metadata
Interface CpeConfiguration

All Superinterfaces:
  Cloneable, MetaDataObject, Serializable, XMLizable

    public interface CpeConfiguration

extends MetaDataObject

An object that holds configuration that is part of the CPE descriptor. Provides the means of defining and obtaining CPE specific configuration that includes:

- Number of entities to process
- Checkpoint file and frequency of checkpoints
- Plug-in timer class

  Method Summary
  `CpeCheckpoint` | `getCheckpoint()` Returns Checkpoint object containing checkpoint file and frequency of checkpoints.
  `CpeTimer` | `getCpeTimer()` Returns the timer class implementing UimeTimer interface.
  `String` | `getDeployment()` Returns CPE deployment mode as "immediate", "vinceService", "interactive".
  `int` | `getMaxTimeToWait()`
  `int` | `getNumToProcess()` Returns number of entities to process
  `OutputQueue` | `getOutputQueue()`
  `String` | `getStartingEntityId()` Returns id of the first entity the CPE will beging processing.
  `String` | `getTimerImpl()` Removes timer class
  `void` | `removeCheckpoint()` Removes checkpoint object
  `void` | `removeCpeTimer()`
  `void` | `setCheckpoint(CpeCheckpoint aCheckpoint)` Sets Checkpoint object containing checkpoint file and frequency of checkpoints.
  `void` | `setCpeTimer(CpeTimer aTimer)` Sets the timer class implementing UimeTimer interface.
  `void` | `setDeployment(String aDeploy)` Sets CPE deployment mode as "immediate", "vinceService", "interactive".
  `void` | `setNumToProcess(int aNumToProcess)` Sets number of entities to process by the CPE.
  `void` | `setStartingEntityId(String aEntityId)` Sets id of the first entity the CPE will beging processing.

  Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject
  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  Methods inherited from interface org.apache.uima.util.XMLizable
  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

  Method Detail

  ### setDeployment

      void setDeployment(String aDeploy)
                         throws CpeDescriptorException

    Sets CPE deployment mode as "immediate", "vinceService", "interactive". The CPE does not directly use this information, instead it is up to the application using the CPE to ingest this and handle it as appropriate. This element is used by an application that uses the CPE. The CPE is an embeddable component, part of a larger application.
    - "immediate" mode: this is the way the CPE is typically run. In this mode the application is initializing the CPE and starts in without user interaction. The CPE runs to completion in this case.
    - "interactive" mode: The application interacts with the CPE via an API to stop, pause, or resume the CPE.
    - "vinciService" mode: used to indicate control of CPE in terms of stop, pause, resume, and query for performance info, from a remote console.

    Parameters:
      `aDeploy` - - deployment mode of the CPE
    Throws:
      `CpeDescriptorException`

  ### getDeployment

      String getDeployment()

    Returns CPE deployment mode as "immediate", "vinceService", "interactive".

    Returns:
      - deployment mode
    See Also:
      `for a description of these modes.`

  ### setNumToProcess

      void setNumToProcess(int aNumToProcess)
                           throws CpeDescriptorException

    Sets number of entities to process by the CPE.

    Parameters:
      `aNumToProcess` - - number of entities to process (-1 - for ALL)
    Throws:
      `CpeDescriptorException`

  ### getNumToProcess

      int getNumToProcess()

    Returns number of entities to process

    Returns:
      - number of entities to process (-1 - for ALL)

  ### setStartingEntityId

      void setStartingEntityId(String aEntityId)

    Sets id of the first entity the CPE will beging processing. Usefull when starting the CPE from a known point.

    Parameters:
      `aEntityId` - - id of first entity

  ### getStartingEntityId

      String getStartingEntityId()

    Returns id of the first entity the CPE will beging processing. Usefull when starting the CPE from a known point.

    Returns:
      - id of first entity

  ### setCheckpoint

      void setCheckpoint(CpeCheckpoint aCheckpoint)
                         throws CpeDescriptorException

    Sets Checkpoint object containing checkpoint file and frequency of checkpoints.

    Parameters:
      `aCheckpoint` - - checkpoint object
    Throws:
      `CpeDescriptorException`

  ### getCheckpoint

      CpeCheckpoint getCheckpoint()

    Returns Checkpoint object containing checkpoint file and frequency of checkpoints.

    Returns:
      `CpeCheckpoint`

  ### removeCheckpoint

      void removeCheckpoint()

    Removes checkpoint object

  ### setCpeTimer

      void setCpeTimer(CpeTimer aTimer)

    Sets the timer class implementing UimeTimer interface. This timer will be used to time CPE events. By default, the CPE uses System.currentTimeMillis() to obtain time.

    Parameters:
      `aTimer` - - timer class

  ### getCpeTimer

      CpeTimer getCpeTimer()

    Returns the timer class implementing UimeTimer interface. This timer will be used to time CPE events. By default, the CPE uses System.currentTimeMillis() to obtain time.

    Returns:
      - timer class

  ### getTimerImpl

      String getTimerImpl()

    Removes timer class

  ### removeCpeTimer

      void removeCpeTimer()

  ### getOutputQueue

      OutputQueue getOutputQueue()

  ### getMaxTimeToWait

      int getMaxTimeToWait()

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2007 The Apache Software Foundation. All Rights Reserved.